<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: cpp_filrouge_iscj_allemann/src/Log/LogCollection.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7b4dd9274471389300495e9c763ca813.html">cpp_filrouge_iscj_allemann</a></li><li class="navelem"><a class="el" href="dir_78d96bb200e06ae88c331598177e3756.html">src</a></li><li class="navelem"><a class="el" href="dir_a1b4ec87e320afc7f8fe9448178f628f.html">Log</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">LogCollection.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>: Class for the centralisation of the logs. In other words, this class contains each logs who occurs during the execution of the program It contains also the ability for saving the log in files  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;memory&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;chrono&gt;</code><br />
<code>#include &lt;ctime&gt;</code><br />
<code>#include &quot;<a class="el" href="_log_collection_8hpp_source.html">..\..\include\Log\LogCollection.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_log_8hpp_source.html">..\..\include\Log\Log.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_utility_8hpp_source.html">..\..\include\Utility.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_file_manager_8hpp_source.html">..\..\include\FileManager.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_log_cant_be_write_8hpp_source.html">..\..\include\Exception\LogCantBeWrite.hpp</a>&quot;</code><br />
</div><a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>: Class for the centralisation of the logs. In other words, this class contains each logs who occurs during the execution of the program It contains also the ability for saving the log in files </p>
<p>Domain : Haute Ecole Arc (HE-Arc) Engineering (Delémont-Neuchâtel) IT department Module : C++ Programmation, 1242.3 </p><dl class="section author"><dt>Author</dt><dd>: Jonas Allemann ISC1j</dd></dl>
<p>Project : Fil Rouge Description : The aim of this project is to put into practice the concepts seen during the course with a C++ project around a RPG game</p>
<dl class="section version"><dt>Version</dt><dd>: 3.0 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>: 28.03.2021</dd></dl>
<dl class="section remark"><dt>Remarks</dt><dd>: This class is an singleton, that's means it can have only 1 instance of this class</dd></dl>
<dl class="section copyright"><dt>Copyright</dt><dd>Copyright (c) 2021 </dd></dl>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
